using System;
using Prism.Events;

namespace Valg.EVA.Skanning.Scan.ReadSoftContracts.Events
{
    public class ScanJobStartedEvent : PubSubEvent
    {
        public DateTime CreationTime = DateTime.Now;

        public ScanJobStartedEvent() : base()
        {
            System.Diagnostics.Debug.WriteLine($"*** Constructor ***; my creation time was {CreationTime}");
        }

        public override void Publish()
        {
            System.Diagnostics.Debug.WriteLine($"*** Publishing ***; my creation time was {CreationTime}");
            base.Publish();
        }

        public override void Unsubscribe(Action subscriber)
        {
            System.Diagnostics.Debug.WriteLine($"*** Unsubscribing ***; my creation time was {CreationTime}");
            base.Unsubscribe(subscriber);
        }
    }
}
